---
extracts:
# Nullable.
  - name: CA10A1__kmsKeyId__c
    value:
      FIELD: 
        path: CA10A1__kmsKeyId__c
# Values: Pending | InService | Stopping | Stopped | Failed | Deleting | Updating. Not nullable
  - name: CA10A1__status__c
    value:
      FIELD: 
        path: CA10A1__status__c
        undeterminedIf:
          noAccessDelegate:
            path: "CA10A1__status__c"
            currentStateMessage: "Notebook Instance Status cannot be empty. Possible permissions issue with sagemaker:DescribeNotebookInstance"
# Values: Enabled | Disabled. Not nullable
  - name: CA10A1__directInternetAccess__c
    value:
      FIELD: 
        path: CA10A1__directInternetAccess__c
        undeterminedIf:
          noAccessDelegate:
            path: "CA10A1__directInternetAccess__c"
            currentStateMessage: "Notebook Instance Direct Internet Access cannot be empty. Possible permissions issue with sagemaker:DescribeNotebookInstance"
# Values: Enabled | Disabled. Not nullable
  - name: CA10A1__rootAccess__c
    value:
      FIELD: 
        path: CA10A1__rootAccess__c
        undeterminedIf:
          noAccessDelegate:
            path: "CA10A1__rootAccess__c"
            currentStateMessage: "Notebook Instance Direct Internet Access cannot be empty. Possible permissions issue with sagemaker:DescribeNotebookInstance"
